schedule: Get TV schedule

API: tvmaze.com:tvmaze-api
Endpoint: /schedule
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 357ms

Description

Get the TV schedule for a specific country and date. Returns shows airing on TV networks for the given parameters. This is the endpoint for 'What's on TV tonight?' functionality. Results include show metadata and air times.

From spec: Returns episodes airing on a specific date for a country (default: US).

Usage Tips

- Default date is today if not specified - Use ISO 8601 date format (YYYY-MM-DD) - Country code is optional, defaults to US - Only shows with network airings are returned (web/Netflix excluded)

Parameters (2)

country (string, query, optional)

ISO country code (default: US)

date (string, query, optional)

Date in YYYY-MM-DD format

Examples (4)

Get TV schedule openapi-spec

Get TV schedule for today

curl 'https://api.tvmaze.com/schedule?country=US'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule",
    params={
        'country': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule", country="US")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule?country=US");
const data = await resp.json();
Get schedule doc_extracted

Get TV schedule for today

curl 'https://api.tvmaze.com/schedule'
import requests

resp = requests.get("https://api.tvmaze.com/schedule")
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule");
const data = await resp.json();
Get schedule for country GB doc_extracted

Get TV schedule for today

curl 'https://api.tvmaze.com/schedule?country=GB'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule",
    params={
        'country': 'GB',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule", country="GB")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule?country=GB");
const data = await resp.json();
TV schedule openapi-spec
curl 'https://api.tvmaze.com/schedule?country=US&date=2024-01-15'
import requests

resp = requests.get(
    "https://api.tvmaze.com/schedule",
    params={
        'country': 'US',
        'date': '2024-01-15',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("tvmaze")
result = api.fetch("schedule", country="US", date="2024-01-15")

for item in result:
    print(item)
const resp = await fetch("https://api.tvmaze.com/schedule?country=US&date=2024-01-15");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:15:06.488642 200 357ms
2026-04-16 04:12:25.387633 200 304ms
2026-04-16 03:01:18.101930 200 157ms
2026-04-16 03:00:04.222604 200 135ms
2026-04-16 00:21:27.341414 200 151ms
2026-04-15 04:13:16.569663 200 152ms
2026-04-15 01:33:32.088583 200 144ms
2026-04-15 00:55:55.759624 200 174ms
2026-04-15 00:47:26.246729 200 332ms
2026-04-14 04:07:43.650079 200 415ms
2026-04-14 03:31:24.160951 200 140ms
2026-04-14 01:44:44.560442 200 115ms
2026-04-14 01:01:02.885087 200 183ms
2026-04-12 16:14:16.517186 200 151ms
2026-04-12 16:00:42.637035 200 106ms
2026-04-12 14:40:40.977043 200 167ms
2026-04-12 14:22:27.502266 200 226ms
2026-04-10 04:19:36.453575 200 108ms
2026-04-10 02:03:56.735940 200 419ms
2026-04-10 01:14:55.377487 200 110ms
2026-04-10 01:01:34.739406 200 87ms
2026-04-09 03:48:04.380174 200 133ms
2026-04-09 03:42:12.395717 200 132ms
2026-04-09 03:17:30.912924 200 172ms
2026-04-09 00:01:00.150306 200 438ms
2026-03-23 10:44:36.128510 200 84ms
2026-03-23 10:18:47.635524 200 90ms
2026-03-23 09:37:51.588797 200 132ms
2026-03-23 09:03:33.126508 200 336ms